<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.CloseheadExtension.closehead</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.CloseheadExtension.closehead</h1>
<p>
Module implementing the closehead extension interface.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#Closehead">Closehead</a></td>
<td>Class implementing the strip extension interface.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="Closehead" ID="Closehead"></a>
<h2>Closehead</h2>
<p>
    Class implementing the strip extension interface.
</p>

<h3>Derived from</h3>
HgExtension
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#Closehead.__init__">Closehead</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#Closehead.hgCloseheads">hgCloseheads</a></td>
<td>Public method to close arbitrary heads.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="Closehead.__init__" ID="Closehead.__init__"></a>
<h4>Closehead (Constructor)</h4>
<b>Closehead</b>(<i>vcs</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcs</i> (Hg)</dt>
<dd>
reference to the Mercurial vcs object
</dd>
</dl>
<a NAME="Closehead.hgCloseheads" ID="Closehead.hgCloseheads"></a>
<h4>Closehead.hgCloseheads</h4>
<b>hgCloseheads</b>(<i>revisions=None</i>)
<p>
        Public method to close arbitrary heads.
</p>

<dl>

<dt><i>revisions</i> (str)</dt>
<dd>
revisions of branch heads to be closed
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
